      subroutine gtxccf(bve,tve,s,n,ndim)

c  this subroutine written by alain st-amant of the department of
c  pharmaceutical chemistry, university of california, san francisco.
c  all rights reserved.  this is part of the DeFT project.

      implicit real*8(a-h,o-z)

      dimension bve(*),tve(*),s(ndim,*)

      data zero/0.0d0/

      do 1001 i=1,n
 1001 call fastrd(19,s(1,i),n)

      do 1002 i=1,n
 1002 bve(i)=zero

      do 1003 j=1,n
      do 1003 i=1,n
 1003 bve(i)=bve(i)+s(i,j)*tve(j)

      return
      end
